summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscripts/get.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/get.sh b/scripts/get.sh
index 3d174e702..6279cfdd3 100755
--- a/scripts/get.sh
+++ b/scripts/get.sh
@@ -86,7 +86,12 @@ else
fi
if [ 'x__install_only__' != "x$2" ]
then
- make -C /tmp/$$xmake_getter --no-print-directory build || my_exit 'Build Fail'
+ make -C /tmp/$$xmake_getter --no-print-directory build
+ if [ $? -ne 0 ]
+ then
+ make -C /tmp/$$xmake_getter/core --no-print-directory error
+ my_exit 'Build Fail'
+ fi
fi
PATHclone=$PATH
patharr=($PATHclone)